Add the Samsung S3C2442B CPU idcode to the samsung s3c24xx platform code
and fix a Kconfig typo related tot the 2442.

Index: linux-2.6.22.5-moko/arch/arm/mach-s3c2442/Kconfig
===================================================================
--- linux-2.6.22.5-moko.orig/arch/arm/mach-s3c2442/Kconfig
+++ linux-2.6.22.5-moko/arch/arm/mach-s3c2442/Kconfig
@@ -6,7 +6,7 @@
 
 config CPU_S3C2442
 	bool
-	depends on ARCH_S3C2420
+	depends on ARCH_S3C2440
 	select S3C2410_CLOCK
 	select S3C2410_GPIO
 	select S3C2410_PM if PM
Index: linux-2.6.22.5-moko/arch/arm/plat-s3c24xx/cpu.c
===================================================================
--- linux-2.6.22.5-moko.orig/arch/arm/plat-s3c24xx/cpu.c
+++ linux-2.6.22.5-moko/arch/arm/plat-s3c24xx/cpu.c
@@ -68,6 +68,7 @@
 static const char name_s3c2412[]  = "S3C2412";
 static const char name_s3c2440[]  = "S3C2440";
 static const char name_s3c2442[]  = "S3C2442";
+static const char name_s3c2442b[]  = "S3C2442B";
 static const char name_s3c2443[]  = "S3C2443";
 static const char name_s3c2410a[] = "S3C2410A";
 static const char name_s3c2440a[] = "S3C2440A";
@@ -119,6 +120,15 @@
 		.name		= name_s3c2442
 	},
 	{
+		.idcode		= 0x32440aab,
+		.idmask		= 0xffffffff,
+		.map_io		= s3c244x_map_io,
+		.init_clocks	= s3c244x_init_clocks,
+		.init_uarts	= s3c244x_init_uarts,
+		.init		= s3c2442_init,
+		.name		= name_s3c2442b
+	},
+	{
 		.idcode		= 0x32412001,
 		.idmask		= 0xffffffff,
 		.map_io		= s3c2412_map_io,
